﻿<%@ Control Language="C#" AutoEventWireup="true" Inherits="Demo.WebApp.CustomerEdit" Codebehind="CustomerEdit.ascx.cs" %>

<h4>
    Customer Details</h4>
<asp:FormView ID="CustomerFormView" runat="server" Width="100%" 
    DataSourceID="CustomerDataSource" DefaultMode="ReadOnly" >
    <ItemTemplate>
        <table cellpadding="1" cellspacing="1">
            <tr>
                <td>
                    First Name:</td>
                <td>
                    <asp:Label ID="Label1" runat="server" Text='<%# Eval("FirstName") %>'></asp:Label></td>
            </tr>

            <tr>
                <td>
                    Last Name:</td>
                <td>
                    <asp:Label ID="Label2" runat="server" Text='<%# Eval("LastName") %>'></asp:Label></td>
            </tr>

            <tr>
                <td>
                    Address:</td>
                <td>
                    <asp:Label ID="Label3" runat="server" Text='<%# Eval("Address") %>'></asp:Label></td>
            </tr>

            <tr>
                <td>
                    Comments:</td>
                <td>
                    <asp:Label ID="Label4" runat="server" Text='<%# Eval("Comments") %>'></asp:Label></td>
            </tr>

        </table>
    </ItemTemplate>
</asp:FormView>
<asp:ObjectDataSource ID="CustomerDataSource" runat="server" DataObjectTypeName="Demo.DataModel.Customer"
    TypeName="Demo.WebApp.ICustomerEdit" OnObjectCreating="CustomerDataSource_ObjectCreating"
    SelectMethod="SelectCustomer"  />
<asp:LinkButton ID="LinkButton1" runat="server" onclick="LinkButton1_Click">Back</asp:LinkButton>
