﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace Demo.Web.Mvvm
{
    [AttributeUsage(AttributeTargets.Property, AllowMultiple = false)]
    public sealed class CreateAttribute : Attribute
    {
        public CreateScope Scope { get; set; }
        public string Id { get; set; }
    }

    public enum CreateScope
    {
        Control,
        Request,
        Session,
        Application
    }
}
