﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace Demo.Web.Mvvm
{
    [AttributeUsage(AttributeTargets.Property, AllowMultiple = false)]
    public sealed class InjectAttribute : Attribute
    {
        public InjectScope Scope { get; set; }
        public string Id { get; set; }
    }

    public enum InjectScope
    {
        Parent,
        Page,
        Session,
        Application
    }
}
